libmsn 4.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
MSN::Group Class Reference

`#include <buddy.h>`

List of all members.

## Public Member Functions
| Group (std::string groupID_, std::string name_)
## Public Attributes
std::string | groupID
std::string | name
std::list< Buddy * > | buddies

## Detailed Description

The Group class represents a group of contacts on the buddy list.

Each group is represented by a groupID, a list of buddies and has a user-visible name.

## Member Data Documentation

std::list<Buddy *> MSN::Group::buddies

List of contacts in this group

std::string MSN::Group::groupID

Id of this group

std::string MSN::Group::name

Name of this group

The documentation for this class was generated from the following file:

- /home/salem/libmsn/tags/libmsn-4.2/msn/buddy.h

All Classes Namespaces Functions Variables Enumerations Enumerator